# rpm skeleton rewriten by Lenny Cartier <lenny@mandrakesoft.com>
# and updated by Han Boetes <han@linux-mandrake.com>
#
# Default values are for example purpose.  You MUST tweak this specfile
# with the info found at:
#
#   http://www.linux-mandrake.com/howtos/mdk-rpm

# Basic macros
%define name    pitchtune
%define version 0.0.4
%define release 3mdk

# Macros for in the menu-file.
%define section Multimedia/Sound
# http://www.linux-mandrake.com/en/howtos/mdk-rpm/mdk-menu-structure.html
%define title   pitchtune
# %name with first letter capitalized.

# SUMMARY is a SHORT one-line description of the rpm (max. 60
# characters).  Do NOT include the package name (or version number of
# the software) in the comment.  Do NOT start with an uppercase letter
# unless semantically significant, and do NOT end with a period.  DON'T
# EVER START WITH AN INDETERMINATE ARTICLE SUCH AS `a' or `as'; remove
# the article altogether.
%define Summary Precise Instrument Tweaking for Crispy Harmony - tuner

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Sound
URL:            http://pitchtune.sourceforge.net

# Please add comment with the right url/downloadpage.
Source0:        %name-%version.tar.bz2

# Make 3 icons %name-16,32,48.png and then tar cjf %name-icons.tar.bz2 *png
#   convert -resize 48x48 nicepic4icon.png yourprogram48.png
#Source1:        %name-icons.tar.bz2

BuildRoot:      %_tmppath/%name-buildroot

# Use ldd afterwards to check for missing Requires/Buildrequires.
# DO NOT ADD IMPLICIT DEPENDENCIES; emample:
# Buildrequires: gtk+-devel XFree86-devel <- wrong!
# gtk+-devel depends on XFree86-devel so you don't have to mention XFree86-devel.
#Buildrequires:       foo-devel bar-devel
#Requires:            foo       bar

%description
A GPL'ed GTK oscilloscope-style musical instrument tuning program.
It can also be used to find the frequency of sounds.
Use it to tune your guitar, flute, even your piano.
# Put the description here.  Most of the time you can get a good
# description from the homepage.  Make sure it is terse and to the
# point.


%prep
%setup -q
#%setup -q -T -D -a1 # unpack icons
#%patch1 -p0


%build
%configure
missing automake # To skip autoconf and automake stuff
missing autoconf
%make


%install
rm -rf %buildroot
%makeinstall


# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.xpm" \
section="%section" \
title="%title" \
longtitle="%Summary"
EOF

# icon
# Use {curly braces} here to protect the variable name.
# ie: Is name48.png %{name}48.png or %{name48}.png?
%__install -D -m 644 pixmaps/%{name}.xpm %buildroot/usr/share/pixmaps/%name.xpm
#%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
#%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
#%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

# Macro for locales
# If your rpm does not need this you can remove it.  Also change
# ``%files -f %name.lang'' to ``%files'' below.
%find_lang %name

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf %buildroot


%files -f %name.lang
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
# No more binaries after this point.
# Add all documentation-files that are usefull for people who install
# the package.  INSTALL may not be usefull since the rpm already
# installs everything.
%doc COPYING README REQUIRED TODO INSTALL ChangeLog AUTHORS
%_mandir/man1/*
%_menudir/*
/usr/share/pixmaps/*

#%_miconsdir/*
#%_iconsdir/*
#%_liconsdir/*


%changelog
* Sun Sep 18 2005 Alexandre B <wacky@localhost> 0.0.4-3mdk
- Fix icon, we're going to get to it!

* Sun Sep 18 2005 Alexandre B <wacky@localhost> 0.0.4-2mdk
- Fix menu entry, fix also documentation dist.

* Sun Sep 18 2005 Alexandre B <wacky@localhost> 0.0.4-1mdk
- First mdk release
