/*
 * pitchtune - an instrument tuner
 * Copyright (C) 2000 Haakon Andre Hjortland
 * Copyright (c) 2005 Alexandre Bourget
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * \file sound.h
 * \brief Sound data input functions, header file
 *
 * Prototypes of the functions that do the sound data fetching/reading job.
 */

/* Prevent this file from being included twice */
#ifndef _SOUND_H
#define _SOUND_H


int sound_init();
int sound_capture_init();
int sound_playback_init();
int sound_readwrite();
int sound_deinit();

int sound_change_freq(double freq);
int sound_muting(int muting);


#ifdef USE_ALSA

/* alsa */
int generate_sine_wave(double phase, unsigned short *sine_buffer, int frames);
int sound_read_capture_stream();
int sound_write_playback_stream();


#else

/* oss */
int sound_readtobuffer();

#endif


/* ifndef _SOUND_H */
#endif
